SplFileInfo::getPath
SplFileInfo::getPathname
SplFileInfo
PHP Manual

# SplFileInfo::getPathInfo

Gets an SplFileInfo object for the path

### Description

public SplFileInfo SplFileInfo::getPathInfo ([ string `$class_name` ] )

Gets an SplFileInfo object for the parent of the current file.

### Parameters

`class_name`

  Name of an SplFileInfo derived class to use.

### Return Values

Returns an SplFileInfo object for the parent path of the file.

### Examples

Example #1 SplFileInfo::getPathInfo example

`<?php
$info = new SplFileInfo('/usr/bin/php');
$parent_info = $info->getPathInfo();
var_dump($parent_info->getRealPath());
?>`

The above example will output something similar to:

    string(8) "/usr/bin"

### See Also

- SplFileInfo::setInfoClass